Name:       perl-POE-Test-Loops
Version:    1.022
Release:    1%{?dist}
# META.yml, bin/poe-gen-tests -> perl
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Reusable tests for POE::Loop authors
Source:     http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Test-Loops-%{version}.tar.gz
Url:        http://search.cpan.org/dist/POE-Test-Loops
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

%{?perl_default_filter:
%filter_from_provides /perl([DIFMOSU].*)/d; /perl(POE::MySession)/d
%perl_default_filter
}

%description
POE::Test::Loops contains one function, generate(), which will generate
all the loop tests for one or more POE::Loop subclasses. The SYNOPSIS
example is a version of poe-gen-tests, which is a stand-alone utility
to generate the actual tests. The poe-gen-tests manpage also documents
the POE::Test::Loops system in more detail.

%prep
%setup -q -n POE-Test-Loops-%{version}

find . -type f -exec chmod -c -x {} ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*
%{_bindir}/poe-gen-tests
%{_mandir}/man1/poe-gen-tests.1.gz

%changelog
* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.022-1
- update filtering
- auto-update to 1.022 (by cpan-spec-update 0.01)

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.021-1
- auto-update to 1.021 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.005-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.005-1
- update for submission

* Fri Apr 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.005-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
